> For the complete documentation index, see [llms.txt](https://docs.junkipedia.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.junkipedia.org/reference-material/api/query-string-parameters/pagination.md).

# Pagination

The following API entry points provide the ability to selectively return paginated portions of search results:

* GET /posts
* GET /posts/stats

With each of these endpoints, two parameters work together to select a portion of results to be returned:

* **per\_page** – defines a maximum number of results to be returned as one page
* **page** – specifies which page of results to be returned

For instance, let's assume that a given request would return 50 results. If we define ten results per page and request page two, only results 11 through 20 will be returned.

* GET /posts?per\_page=10\&page=2


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.junkipedia.org/reference-material/api/query-string-parameters/pagination.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
